## python-mistletoe 1.3.0

=== requirements.txt ===
# optional
Pygments>=2.11.2,<=2.16.* # 2.11.2 is the last version which supports the old Python 3.5

## python-mistletoe 0.7.2

=== debian/changelog ===
python-mistletoe (0.7.2-2) unstable; urgency=medium

  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jul 2020 10:19:14 +0200

python-mistletoe (0.7.2-1) experimental; urgency=low

  * initial packaging
    closes: bug#964258

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Jul 2020 11:38:01 +0200

=== debian/control ===
Source: python-mistletoe
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 python3-dev,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
Vcs-Browser: https://salsa.debian.org/debian/python-mistletoe
Homepage: https://github.com/miyuchina/mistletoe
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-mistletoe
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: fast, extensible Markdown parser in pure Python
 mistletoe is a Markdown parser in pure Python,
 designed to be fast, spec-compliant and fully customizable.
 .
 Apart from being the fastest
 CommonMark-compliant Markdown parser implementation in pure Python,
 mistletoe also supports easy definitions of custom tokens.
 Parsing Markdown into an abstract syntax tree
 also allows us to swap out renderers for different output formats,
 without touching any of the core components.
 .
 CommonMark is a dialect of Markdown with a strict specification.
 .
 Markdown is a lightweight markup language
 with plain-text-formatting syntax.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

destdir = debian/python3-mistletoe
cmd = mistletoe
python3path = $(destdir)/usr/lib/$(shell py3versions -d)/dist-packages

# generate manpage with help2man from --help option of python script
_mkman = PYTHONPATH=$(python3path) \
 help2man $(if $3,--name "$(strip $3)") --no-info --output $2 $1 \
 || { PYTHONPATH=$(python3path) $1 --help; false; }

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m unittest --verbose test
endif

# * generate manpage
override_dh_auto_install:
	dh_auto_install
	$(call _mkman, $(destdir)/usr/bin/$(cmd), debian/$(cmd).1, \
		turn Markdown into HTML in pure Python)
	find $(destdir)/usr/lib -name '*.pyc' -delete
	find $(destdir)/usr/lib -type d -empty -delete

%:
	dh $@ --buildsystem=pybuild

## python-mistletoe 0.8.2

=== debian/changelog ===
python-mistletoe (0.8.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use single Reference field for multiple entries
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not debian/master upstream)
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Feb 2022 00:23:06 +0100

python-mistletoe (0.8.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Dec 2021 14:46:14 +0100

python-mistletoe (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * modernize build rules to use debhelper 13 features
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Nov 2021 14:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  help2man,
  python3-dev,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mistletoe
 Homepage: https://github.com/miyuchina/mistletoe

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,10 @@
  || { PYTHONPATH=$(python3path) $1 --help; false; }
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 -m unittest --verbose test
-endif
 
 # * generate manpage
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	$(call _mkman, $(destdir)/usr/bin/$(cmd), debian/$(cmd).1, \
 		turn Markdown into HTML in pure Python)
 	find $(destdir)/usr/lib -name '*.pyc' -delete

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/miyuchina/mistletoe/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-mistletoe 1.1.0

=== debian/changelog ===
python-mistletoe (1.1.0-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * Adopt package, with thanks to Jonas Smedegaard for the previous work
    (Closes: #1044080)
  * New upstream version (Closes: #1044062).
  * Update lintian override info format in d/source/lintian-overrides on line
    2-3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Don't install contrib directory as examples as it is now part of the
    module itself.
  * Build-depend on python3-all for arch:all package.
  * Add missing build-depends on python3-parameterized.
  * Add autopkgtest tests with unittests.

  [ Jonas Smedegaard ]
  * orphan package: set maintainer to Debian QA Group

 -- Stuart Prescott <stuart@debian.org>  Fri, 18 Aug 2023 01:05:21 +1000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-mistletoe
 Section: python
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Stuart Prescott <stuart@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  help2man,
- python3-dev,
+ python3-all,
+ python3-parameterized,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mistletoe
 Homepage: https://github.com/miyuchina/mistletoe
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-mistletoe
 Architecture: all
@@ -28,7 +28,7 @@
  CommonMark-compliant Markdown parser implementation in pure Python,
  mistletoe also supports easy definitions of custom tokens.
  Parsing Markdown into an abstract syntax tree
- also allows us to swap out renderers for different output formats,
+ also allows swapping out renderers for different output formats,
  without touching any of the core components.
  .
  CommonMark is a dialect of Markdown with a strict specification.

=== debian/tests/control ===
Tests: python3-mistletoe
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-mistletoe,
 python3-parameterized,

## python-mistletoe 1.3.0

=== debian/changelog ===
python-mistletoe (1.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Stuart Prescott <stuart@debian.org>  Sun, 18 Feb 2024 16:04:26 +1100

python-mistletoe (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - add new build-dep on pygments
    - add new Suggests for pygments
    - add new test-dependency for pygments

 -- Stuart Prescott <stuart@debian.org>  Mon, 02 Oct 2023 12:32:05 +1100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  help2man,
  python3-all,
  python3-parameterized,
+ python3-pygments,
  python3-setuptools,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
@@ -20,6 +21,8 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-pygments,
 Description: fast, extensible Markdown parser in pure Python
  mistletoe is a Markdown parser in pure Python,
  designed to be fast, spec-compliant and fully customizable.

## python-mistletoe 1.4.0

=== debian/changelog ===
python-mistletoe (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Wed, 11 Sep 2024 01:47:08 +1000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-parameterized,
  python3-pygments,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mistletoe
 Homepage: https://github.com/miyuchina/mistletoe

## python-mistletoe 1.5.0

=== requirements.txt ===
# optional
Pygments>=2.11.2,<=2.16 # 2.11.2 is the last version which supports the old Python 3.5

=== mistletoe/contrib/Makefile ===

INSTALL_DIR=$(HOME)/bin

install: install-md2jira

install-md2jira:
	echo "[contrib] installing: md2jira"
	cp md2jira.py $(INSTALL_DIR)/md2jira
	chmod uog+x $(INSTALL_DIR)/md2jira
	echo "[contrib] done"

=== debian/changelog ===
python-mistletoe (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Oct 2025 20:41:17 +1100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-parameterized,
  python3-pygments,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mistletoe
 Homepage: https://github.com/miyuchina/mistletoe

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
  help2man $(if $3,--name "$(strip $3)") --no-info --output $2 $1 \
  || { PYTHONPATH=$(python3path) $1 --help; false; }
 
-override_dh_auto_test:
-	python3 -m unittest --verbose test
-
 # * generate manpage
 execute_after_dh_auto_install:
 	$(call _mkman, $(destdir)/usr/bin/$(cmd), debian/$(cmd).1, \

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,4 @@
  python3-all,
  python3-mistletoe,
  python3-parameterized,
+ python3-pygments,

## python-mistletoe 1.5.1

=== debian/changelog ===
python-mistletoe (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.3 (no changes required).
  * Drop unneeded Priority:optional and R3:no.
  * Mark package as Multi-Arch:foreign as per hinter.

 -- Stuart Prescott <stuart@debian.org>  Sat, 24 Jan 2026 13:13:28 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-mistletoe
 Section: python
-Priority: optional
 Maintainer: Stuart Prescott <stuart@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,14 +9,14 @@
  python3-parameterized,
  python3-pygments,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/python-mistletoe.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mistletoe
 Homepage: https://github.com/miyuchina/mistletoe
-Rules-Requires-Root: no
 
 Package: python3-mistletoe
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
